Subject: Re: [v6ops] v6-aaaa-whitelisting-implications -- Recommended Practice?

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 31 Jan 2011 19:09:46 +0000

Great — thanks for the feedback and for reviewing the document! This change will be in the –02 version.

Regards
Jason

On 1/31/11 9:27 AM, "George, Wes E [NTK]" <[email-masked]<mailto:[email-masked]>> wrote:

Sounds ok to me. I was also one of the ones suggesting that you watch the generic “some parties” language, but in this case I agree that it’s helpful.

Thanks,
Wes

From: Livingood, Jason [mailto:[email-masked]]
Sent: Wednesday, January 26, 2011 8:19 PM
To: George, Wes E [NTK]; [email-masked]<mailto:[email-masked]>
Subject: Re: v6-aaaa-whitelisting-implications -- Recommended Practice?

However, personally I?d remove the reference to Google. As much as I appreciate the info that Lorenzo and Erik and company have provided and the work that they?ve done, let?s keep this company agnostic ? that?s more appropriate for an IETF draft, and less likely to skew opinions in one direction or the other.

That is a fair point. I was actually trying to react to feedback from Erik himself on 10/1/2010 to the list where I perceived he wanted to have the numerous vague "some parties" made more specific. I want to also be clear that I went to pains in my previous drafts and in my presentations to not cite specific company names, as this is an industry issue and not a company issue. I will carefully go back through my –01 version and change these references back. I will also change this addition as well.  (See below)

You might also want to at least casually mention world IPv6 day as a way to
determine if whitelisting is actually necessary even in the short term.
Since this draft will have likely gone to WGLC before that happens, at least
a passing reference to it would allow you to perhaps nudge the reader into
looking for the information that will become available once everyone
analyzes the results of enabling unfettered IPv6 access to their content for
the day.

Good suggestion. Here is the new text:

            Opinions in the Internet community concerning whether or not DNS whitelisting is a recommended practice are understandably quite varied. However, there is clear consensus that DNS whitelisting is at best a useful temporary measure which a domain may choose to pursue as they prepare for the transition to IPv6. In particular, major domains view DNS whitelisting as one of the few practical and low risk approaches enabling them to prepare for the transition to IPv6. Thus, DNS whitelisting is not a recommended practice over the long-term. In addition, DNS whitelisting should be avoided wherever possible in the short-term and its use is discouraged. Nevertheless, major domains may find DNS whitelisting a beneficial temporary tactic in their transition to IPv6. Such temporary use during the transition to IPv6 is broadly accepted within the community, so long as it does not become a long-term practice.

            Finally, World IPv6 Day, which is sponsored by the Internet Society [ADD REFERENCE] and is scheduled to occur on June 8, 2011, will be an opportunity for domains to add AAAA resource records to the DNS without using DNS whitelisting. As a result, this is likely an excellent opportunity for domains to evaluate the utility or necessity of DNS whitelisting, even in the short-term.

//